/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.enums;

/**
 * 课程试卷绑定状态
 */
public enum PaperBindingStatus {
    无(0),
    已有(1),
    未指定(2);

    private int index;

    public static String getNameByIndex(Integer index) {
        if (index == null) {
            return null;
        }
        for (PaperBindingStatus type : PaperBindingStatus.values()) {
            if (type.getIndex() == index) {
                return type.name();
            }
        }
        return null;
    }

    PaperBindingStatus(int index) {
        this.index = index;
    }

    public int getIndex() {
        return index;
    }

}